Eclipse新版本无法安装fatjar插件问题解决

前情提要

今天将Java程序导出为Jar包的时候遇到一个问题:程序中写了一个DBUtil类,在Eclipse中直接跑的时候没有任何问题,然而导出为Jar的时候发现运行报出找不到依赖包的问题,查询了网上,发现Eclipse的fat-jar插件可以将依赖包自动导入进去,于是尝试下载Eclipse插件。这时候遇到了问题,笔者的Eclipse版本无法安装fat-jar插件。

下载安装Eclipse2.0版本的插件支持

插件之所以无法安装是因为插件的版本和Eclipse的版本不兼容,这时候需要下载一个另一个插件,来解决新老版本的插件无法安装完问题。
打开Eclipse,菜单栏找到Help–Install New Software,在弹出框中单击Add…按钮:

单击按钮后出现新的弹出窗口,分别输入:

1
2
Name: The Eclipse Project Updates
Location: http://download.eclipse.org/eclipse/updates/4.4

如下图:

然后单击OK按钮,接着一路Next完成插件的安装后,重启Eclipse即可。

下载安装fatjar插件

以上述讨论,输入如下内容即可完成fatjar插件的安装。

1
2
Name: fatjar
Location: http://kurucz-grafika.de/fatjar

fatjar的使用

既然已经提到了fatjar的安装,就在提提fatjar的使用吧!
单击右键选择Export,在出现的弹窗中选择Other–Fat Jar Exporter。

在Select one java Project窗口选择要导出的Java工程,单击Next按钮:

在Main-Class一项单击Browse…按钮,选择程序入口的类(包含main方法的类),然后勾选One-JAR选框

然后选择要一起打包的依赖包,单击Finish按钮即可完成导出Jar的过程。

参考

解决Eclipse最新版本无法安装fatjar插件的问题
Eclipse下FatJar插件的安装与使用

坚持原创技术分享,您的支持将鼓励我继续创作